Unable to update to v3.1.1

Discussions about RaZberry - Z-Wave board for Raspberry computer
Helleman
Posts: 38
Joined: 25 Dec 2016 14:04

Unable to update to v3.1.1

Post by Helleman »

I have version 3.0.6 and cannot update to version 3.1.1.
It starts updating, but after about 30 seconds it says ”Update successful”, but it still says v3.0.6. I can press the update button again directly and the same procedure occurs.
It was the exact same thing with update to version 3.1.0...

User avatar
PoltoS
Posts: 5962
Joined: 26 Jan 2011 19:36

Re: Unable to update to v3.1.1

Post by PoltoS »

Use the command line way: https://z-wave.me/z-way/download-z-way/

It will certainly show you the error message

Helleman
Posts: 38
Joined: 25 Dec 2016 14:04

Re: Unable to update to v3.1.1

Post by Helleman »

PoltoS wrote:
20 Sep 2020 01:19
Use the command line way: https://z-wave.me/z-way/download-z-way/

It will certainly show you the error message
I did the update according to the instructions under “Upgrade from older versions” and then wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash, and now I cannot connect to the Raspberry using wifi anymore. I have enabled ssh and I am connected to the internet via wifi, tested to ping google for instance, so the Raspberry are on the network, just not letting my iphone or Ipad connect to it even if they are on the same network.
Browser cache cleared also...
Ahh, I just wanted to update z-wave.me to see if my z-wave plugs would start reporting their status again...

Helleman
Posts: 38
Joined: 25 Dec 2016 14:04

Re: Unable to update to v3.1.1

Post by Helleman »

Tried to do a fresh install on a new sdcard using the https://razberry.z-wave.me/z-way-server ... ry.img.zip, but that one wont even let me connect to the internet using wifi. It can see all Wifi:s in my house, but it cannot connect, it says it cannot communicate with “ wpa_supplicant”...
Getting a bit tired... :(

aivs
Posts: 47
Joined: 04 Mar 2011 15:26

Re: Unable to update to v3.1.1

Post by aivs »

Are you trying to connect RPi to your home Wi-Fi access point?
razberry.img configured to creates a wi-fi access point itself and cannot connect to another wi-fi access point.
Only with original Raspberry Pi OS you can connect to your home Wi-Fi access point.

1) Install latest Raspberry Pi OS (32-bit) Lite Buster:

Code: Select all

https://downloads.raspberrypi.org/raspios_lite_armhf_latest
2) Install latest z-way-server

Code: Select all

wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash

Helleman
Posts: 38
Joined: 25 Dec 2016 14:04

Re: Unable to update to v3.1.1

Post by Helleman »

aivs wrote:
21 Sep 2020 12:12
Are you trying to connect RPi to your home Wi-Fi access point?
razberry.img configured to creates a wi-fi access point itself and cannot connect to another wi-fi access point.
Only with original Raspberry Pi OS you can connect to your home Wi-Fi access point.

1) Install latest Raspberry Pi OS (32-bit) Lite Buster:

Code: Select all

https://downloads.raspberrypi.org/raspios_lite_armhf_latest
2) Install latest z-way-server

Code: Select all

wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash
I am trying to connect to my home router through wifi. Don’t exactly know what you mean with access point?
I was under the impression that the OS I downloaded in the link I wrote, was instead of downloading an original Raspberry OS and that it contained a Raspberry OS (with only what is necessary to run z-way) together with z-way? Is that not the case?

Either way, I actually made a new fresh install with an original Raspberry OS (Debian Buster) and now I am up and running Z-way through wifi. I have now started to exclude (wich is extremely difficult) and include (little bit easier) my devices again so that I can program my home automation again.

Helleman
Posts: 38
Joined: 25 Dec 2016 14:04

Re: Unable to update to v3.1.1

Post by Helleman »

Worked perfectly until I suddenly was trapped inside a password loop!
I cannot log in to my raspberry pi. When I enter the correct password for the user "pi", it just throws me back to the login prompt again. If I write an incorrect password, then it says"incorrect", just as it should.
This all happens at the command line, not the GUI.
All I have seen online that I can do is to check a .profile-file that probably has been a bit corrupted. However, to do that I need to login to the raspberry which I can´t. I have seen suggestion to press ctrl+Alt+F3 to open a new console, but that only seems to work when the password loop is for the GUI. In my case it only opens up a new console with the same password loop...
I have also tried to connect via SSH using windows10 Powershell (through ethernet cable), but that doesn´t work either. It seems to log me in, but then it closes my connection and I am out again.

I know this might not be a question for this forum, but I have not been able to find any help elswhere...

I guess I have to do the fresh install and exclude/include all over again... :(

enbemokel
Posts: 386
Joined: 08 Aug 2016 17:36

Re: Unable to update to v3.1.1

Post by enbemokel »

Are you able to login with a browser to the Z-Way system? Then you may do the backups in expert and user mode,
and you won´t have a problem with the new installation on the raspberry.
But maybe some one has another idea for you loop.

User avatar
PoltoS
Posts: 5962
Joined: 26 Jan 2011 19:36

Re: Unable to update to v3.1.1

Post by PoltoS »

Make sure to clear browser cache and cookies after upgrading!

enbemokel
Posts: 386
Joined: 08 Aug 2016 17:36

Re: Unable to update to v3.1.1

Post by enbemokel »

Hi Polto, this is to easy ;-) .....but often the solution...also he was writing about console, so i think it´s raspberry console.

Post Reply